/* #Header */
.header-container {
	background-color: $header_bg_color;
	background-repeat: $header_bg_repeat;
	background-attachment: $header_bg_attachment;
	background-size: $header_bg_size;
	@background_url( $header_bg_image );
	@background_position($header_bg_position);
}

.header-container.transparent {
	background: $header_transparent_bg;
}

@media( min-width: 768px ) {
	.header-container.transparent:not(.isStuck) {
		background: @alpha($header_transparent_bg, $header_transparent_bg_alpha);
	}
}

.site-header--separate .top-panel__inner {
	border-color: @darken($grey_color_1, 3.5);
}

/* ##Logo */
.site-logo--text {
	font-style: $header_logo_font_style;
	font-weight: $header_logo_font_weight;
	font-size: $header_logo_font_size{px};
	line-height: $header_logo_line_height;
	font-family: @font_family( $header_logo_font_family );
	letter-spacing: $header_logo_letter_spacing{em};
	text-transform: $header_logo_text_transform;
}
.site-logo__link,
.site-logo__link:hover {
	color: $regular_accent_color_1;
}

/* ##Top Panel */
.top-panel {
	background-color: $top_panel_bg;
}

.invert.top-panel,
.invert.top-panel a {
	color: @darken( $grey_color_1, 40 );
}

.invert.top-panel a:hover {
	color: $invert_link_hover_color;
}

/* #Header Components */
.header-components >* + *:before,
.search-form__close:after{
	background-color: @darken($grey_color_1, 8);
}

.invert .search-form__close:after {
	background-color: $invert_accent_color_1;
}

.invert.header-container .search-form__field {
	color: $invert_accent_color_1;
}

.search-form__toggle,
.search-form__close,
.site-header .search-form .search-form__submit,
.site-header .search-form .search-submit,

.site-header-cart .site-header-cart__wrapper i {
	color: $regular_link_color;
}

.invert .search-form__toggle:not(:hover),
.invert .search-form__close:not(:hover),

.site-header .invert .search-form .search-form__submit:not(:hover),
.site-header .invert .search-form .search-submit:not(:hover),

.invert .site-header-cart .site-header-cart__wrapper i:not(:hover) {
	color: $invert_accent_color_1;
}

.search-form__toggle:hover,
.search-form__close:hover,

.search-form__toggle:focus,
.search-form__close:focus,

.site-header .search-form .search-form__submit:hover,
.site-header .search-form .search-form__submit:focus,

.site-header .search-form .search-submit:hover,
.site-header .search-form .search-submit:focus,

.site-header-cart .site-header-cart__wrapper i:hover {
	color: $regular_accent_color_1;
}
